import numpy as np
import pandas as pd


# Load CSV
people = pd.read_csv('income-scraped.csv')

# See first rows.
people.head()

# Subset.
over40 = people[people.AGE > 40]
over40.head()

# New column.
people['isover40'] = people['AGE'] > 40
people['agegrp'] = (people['AGE'] / 10).apply(np.floor) * 10


# Median.
people['FTOTINC'].median()


# Grouped median.
people.groupby(['isover40'])['FTOTINC'].median()
people.groupby(['agegrp'])['FTOTINC'].median()